| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::DBinarySearch Class Reference

This class has nothing to do with a binary search, it is a widget to search for binaries.

Inheritance diagram for Digikam::DBinarySearch:

## Public Types
enum | ColumnType { Status = 0 , Binary , Version , Button , Link }

## Public Slots
void | slotAreBinariesFound ()

## Signals
void | signalAddDirectory (const QString &dir)
void | signalAddPossibleDirectory (const QString &dir)
void | signalBinariesFound (bool)

## Public Member Functions
| DBinarySearch (QWidget *const parent)
void | addBinary (DBinaryIface &binary)
void | addDirectory (const QString &dir)
bool | allBinariesFound ()